%global momorel 1
%global md5sum_src0 b76b707808c90288a57b2084424ad0c4

Summary: A library implementation of the Media Transfer Protocol (MTP)
Name: libmtp
Version: 0.2.5
Release: %{momorel}m%{?dist}
License: LGPL
URL: http://libmtp.sourceforge.net/
Group: System Environment/Libraries
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
Source1: %{name}.perms
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: udev
Requires: pam
Requires: hal
BuildRequires: libusb-devel
BuildRequires: doxygen
BuildRequires: pkgconfig

%description
libmtp is a LGPL library implementation of the Media Transfer Protocol (MTP), a superset of the Picture Transfer Protocol (PTP).

%package devel
Summary: Header files and static libraries from libmtp
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Libraries and includes files for developing programs based on libmtp.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/lib*.la

# install udev rules file
examples/hotplug -a"SYMLINK+=\"libmtp-%k\"" > libmtp.rules
mkdir -p %{buildroot}%{_sysconfdir}/udev/rules.d
install -m 644 libmtp.rules %{buildroot}%{_sysconfdir}/udev/rules.d/60-libmtp.rules

# install device permissions
mkdir -p %{buildroot}%{_sysconfdir}/security/console.perms.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/security/console.perms.d/60-libmtp.perms

# install hal fdi file
mkdir -p %{buildroot}%{_datadir}/hal/fdi/information/10freedesktop
install -p -m 644 libmtp.fdi %{buildroot}%{_datadir}/hal/fdi/information/10freedesktop/10-usb-music-players-libmtp.fdi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%config(noreplace) %{_sysconfdir}/udev/rules.d/60-libmtp.rules
%config(noreplace) %{_sysconfdir}/security/console.perms.d/60-libmtp.perms
%config(noreplace) %{_datadir}/hal/fdi/information/10freedesktop/10-usb-music-players-libmtp.fdi
%{_bindir}/mtp-*
%{_libdir}/libmtp.so.*

%files devel
%defattr(-,root,root)
%doc doc/html
%{_includedir}/libmtp.h
%{_libdir}/pkgconfig/libmtp.pc
%{_libdir}/libmtp.a
%{_libdir}/libmtp.so

%changelog
* Sun Jan 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.5-1m)
- version 0.2.5

* Sun Dec  2 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.4-1m)
- version 0.2.4

* Fri Oct 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.3-1m)
- version 0.2.3

* Tue Sep 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.1-1m)
- version 0.2.1

* Wed Mar 28 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.5-1m)
- version 0.1.5

* Tue Mar 20 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.4-1m)
- version 0.1.4

* Sat Jan 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-1m)
- version 0.1.3

* Sun Jan 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-1m)
- version 0.1.0 (0.1.1 and 0.1.2 doesn't work with amarok-1.4.4)
- get rid of *.la files

* Tue Oct 24 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.0.21-1m)
- version 0.0.21

* Wed Aug 23 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.0.11-1m)
- initial package for amarok-1.4.2
